%global momorel 1
%define rcver	2

Name:		ebtables
Version:	2.0.8
Release:	0.%{rcver}.%{momorel}m
Summary:	Ethernet Bridge frame table administration tool
License:	GPL
Group:		System Environment/Base
URL:		http://ebtables.sourceforge.net/
Source0:	http://dl.sourceforge.net/sourceforge/ebtables/ebtables-v%{version}-rc%{rcver}.tar.gz
NoSource:       0
Source1:	ebtables.sysv
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
PreReq:		chkconfig

%description
Ethernet bridge tables is a firewalling tool to transparently filter network
traffic passing a bridge. The filtering possibilities are limited to link
layer filtering and some basic filtering on higher network layers.

This tool is the userspace control for the bridge and ebtables kernel
components (built by default in Fedora Core kernels).

The ebtables tool can be used together with the other Linux filtering tools,
like iptables. There are no known incompatibility issues.

%prep
%setup -q -n ebtables-v%{version}-rc%{rcver}

# for i in netfilter_bridge.h if_ether.h 

%build
MY_CFLAGS=`echo $RPM_OPT_FLAGS -fPIC | sed -e 's/-fstack-protector//g'`
make KERNEL_INCLUDES=%{_includedir} %{?_smp_mflags} CFLAGS="$MY_CFLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
install -m0755 extensions/*.so %{buildroot}%{_libdir}
install -m0755 *.so %{buildroot}%{_libdir}
install -D -m0755 ebtables %{buildroot}/sbin/ebtables
install -D -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/ebtables
install -D -m0644 ethertypes %{buildroot}%{_sysconfdir}/ethertypes
install -D -m0644 ebtables.8 %{buildroot}%{_mandir}/man8/ebtables.8
touch %{buildroot}%{_sysconfdir}/ebtables.filter
touch %{buildroot}%{_sysconfdir}/ebtables.nat
touch %{buildroot}%{_sysconfdir}/ebtables.broute

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add ebtables
/sbin/ldconfig

%preun
if [ $1 -eq 0 ]; then
	/sbin/service ebtables stop &>/dev/null || :
	/sbin/chkconfig --del ebtables
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service ebtables condrestart &> /dev/null || :
fi
/sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING THANKS
%doc %{_mandir}/man8/ebtables.8*
%config(noreplace) %{_sysconfdir}/ethertypes
%{_initrddir}/ebtables
%{_libdir}/libebt*.so
/sbin/ebtables
%ghost %{_sysconfdir}/ebtables.filter
%ghost %{_sysconfdir}/ebtables.nat
%ghost %{_sysconfdir}/ebtables.broute

%changelog
* Sun Jul 30 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.8-0.2.1m)
- version up 2.0.8-rc2

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.6-3m)
- add gcc4 patch
- Patch2: ebtables-2.0.6-gcc4.patch

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.6-2m)
- add Patch1: ebtables-v2.0.6-gcc34.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823] 

* Tue Dec 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.6-1m)
- update to 2.0.6

* Tue Dec 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.5-2m)
- modify Makefile.

* Wed Sep 10 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.5-1m)
- write spec for momonga
- ebtables is 
